---
title: Gemini Omni 오디오 생성 | RunAPI
description: create audio 엔드포인트를 사용하여 동일한 응답에서 결과를 받으세요.
url: https://runapi.ai/ko/docs/api/gemini-omni/create-audio.md
canonical: https://runapi.ai/ko/docs/api/gemini-omni/create-audio
locale: ko
---

> HTML 버전: https://runapi.ai/ko/docs/api/gemini-omni/create-audio
> 에이전트용 사이트 색인: https://runapi.ai/llms.txt

# Gemini Omni 오디오 생성

## 개요

create audio 엔드포인트를 사용하고 동일한 응답에서 결과를 읽으세요.

### 빠른 시작

1. API 키를 만들고 RUNAPI_API_KEY로 설정합니다.
2. 요청 스키마와 일치하는 본문으로 POST 요청을 전송하세요.
3. 성공 응답 본문에서 결과를 읽습니다.

## 엔드포인트

POST /api/v1/gemini_omni/create_audio

Base URL: https://runapi.ai

API 버전: v1

인증: Authorization: Bearer YOUR_API_TOKEN

## 지원 모델

현재 가격, 속도 제한 및 상업적 이용 세부 정보는 모델 페이지를 여십시오.

- [gemini-omni-audio](https://runapi.ai/ko/models/gemini-omni/audio)

## 요청 스키마

이 엔드포인트에 선언된 필드만 전송하세요.

### gemini-omni-audio

```json
{
  "audio_id": {
    "description": "오디오 프리셋에 사용되는 음성 식별자.",
    "required": true,
    "type": "string"
  },
  "example_dialogue": {
    "description": "음성 스타일을 보여주는 예시 대화.",
    "length": true,
    "max": 120,
    "type": "string"
  },
  "name": {
    "description": "오디오 프리셋 표시 이름.",
    "length": true,
    "max": 210,
    "required": true,
    "type": "string"
  },
  "voice_description": {
    "description": "음높이, 음색, 악센트 등의 음성 특성.",
    "length": true,
    "max": 20000,
    "type": "string"
  }
}
```

## 성공 응답

HTTP 200 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "audio": {
      "properties": {
        "id": {
          "description": "생성된 오디오 프리셋 식별자.",
          "type": "string"
        },
        "name": {
          "description": "오디오 프리셋 표시 이름.",
          "type": "string"
        }
      },
      "required": [
        "id"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "billing": {
      "properties": {
        "refund": {
          "oneOf": [
            {
              "properties": {
                "refunded_at": {
                  "type": "string"
                }
              },
              "required": [
                "refunded_at"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "reservation": {
          "oneOf": [
            {
              "properties": {
                "amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "amount_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        },
        "settlement": {
          "oneOf": [
            {
              "properties": {
                "amount_micro_cents": {
                  "type": "integer"
                },
                "charged_amount_cents": {
                  "type": "integer"
                }
              },
              "required": [
                "charged_amount_cents",
                "amount_micro_cents"
              ],
              "type": "object",
              "unevaluatedProperties": false
            },
            {
              "enum": [
                null
              ]
            }
          ]
        }
      },
      "required": [
        "reservation",
        "settlement",
        "refund"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    "id": {
      "description": "생성된 오디오 프리셋 식별자.",
      "type": "string"
    }
  },
  "required": [
    "id",
    "audio",
    "billing"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "audio": {
    "id": "aud_reference_narrator",
    "name": "Studio Narrator"
  },
  "billing": {
    "refund": null,
    "reservation": null,
    "settlement": null
  },
  "id": "aud_reference_narrator"
}
```

## 오류

HTTP 401 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Authentication required"
}
```

## 오류

HTTP 400 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 오류 메시지.",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "사람이 읽을 수 있는 유효성 검사 요약입니다.",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "공개 요청 필드를 키로 하는 유효성 검사 메시지로, 각 필드에 대해 사람이 읽을 수 있는 문자열 배열이 포함됩니다.",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 응답 예시

```json
{
  "error": "Validation failed",
  "errors": {
    "audio_id": [
      "is required"
    ]
  }
}
```

## 오류

HTTP 402 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Insufficient balance"
}
```

## 오류

HTTP 429 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "API key credit limit exceeded"
}
```

## 오류

HTTP 409 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "The request uses features that are not supported for the selected model"
}
```

## 오류

HTTP 429 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Rate limit reached. Please retry later."
}
```

## 오류

HTTP 503 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "Service under maintenance, please try again later"
}
```

## 오류

HTTP 504 - POST /api/v1/gemini_omni/create_audio

### 응답 스키마

```json
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 응답 예시

```json
{
  "error": "The request timed out"
}
```

## 생성된 코드 샘플

cURL을 직접 사용하거나 해당 언어의 SDK를 설치하세요. 각 샘플은 이 레퍼런스에
표시된 유효성 검사된 요청을 제출합니다.

### curl

```curl
curl -X POST https://runapi.ai/api/v1/gemini_omni/create_audio \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"audio_id":"achernar","name":"Studio Narrator","voice_description":"A calm and clear narration voice.","example_dialogue":"Welcome to the studio."}'
```

### javascript

#### 설치

```bash
npm install @runapi.ai/gemini-omni
```

```javascript
import { GeminiOmniClient } from "@runapi.ai/gemini-omni";

const client = new GeminiOmniClient({ apiKey: process.env.RUNAPI_API_KEY });
const result = await client.createAudio.run({
  "audio_id": "achernar",
  "name": "Studio Narrator",
  "voice_description": "A calm and clear narration voice.",
  "example_dialogue": "Welcome to the studio."
});
```

### python

#### 설치

```bash
pip install runapi-gemini-omni
```

```python
import os
from runapi.gemini_omni import GeminiOmniClient

client = GeminiOmniClient(api_key=os.environ["RUNAPI_API_KEY"])
result = client.create_audio.run(
  audio_id="achernar",
  name="Studio Narrator",
  voice_description="A calm and clear narration voice.",
  example_dialogue="Welcome to the studio."
)
```

### go

#### 설치

```bash
go get github.com/runapi-ai/gemini-omni-sdk/go@latest
```

```go
package main

import (
  "context"
  "log"
  "os"

  "github.com/runapi-ai/core-sdk/go/option"
  geminiomni "github.com/runapi-ai/gemini-omni-sdk/go/geminiomni"
)

func main() {
  client, err := geminiomni.NewClient(option.WithAPIKey(os.Getenv("RUNAPI_API_KEY")))
  if err != nil {
    log.Fatal(err)
  }

  result, err := client.CreateAudio.Run(context.Background(), geminiomni.CreateAudioParams{
    AudioID: geminiomni.AudioVoice("achernar"),
    Name: "Studio Narrator",
    VoiceDescription: "A calm and clear narration voice.",
    ExampleDialogue: "Welcome to the studio.",
  })
  if err != nil {
    log.Fatal(err)
  }
  _ = result
}
```

### ruby

#### 설치

```bash
gem install runapi-gemini-omni
```

```ruby
require "runapi/gemini_omni"

client = RunApi::GeminiOmni::Client.new(api_key: ENV.fetch("RUNAPI_API_KEY"))
result = client.create_audio.run(
  audio_id: "achernar",
  name: "Studio Narrator",
  voice_description: "A calm and clear narration voice.",
  example_dialogue: "Welcome to the studio."
)
```

### java

#### 설치

```kotlin
implementation("ai.runapi:runapi-gemini-omni")
```

```java
import ai.runapi.geminiomni.GeminiOmniClient;
import ai.runapi.geminiomni.types.CreateAudioParams;
import ai.runapi.geminiomni.types.CreateAudioResponse;

public final class Example {
  public static void main(String[] args) {
    GeminiOmniClient client = GeminiOmniClient.builder()
        .apiKey(System.getenv("RUNAPI_API_KEY"))
        .build();
    CreateAudioResponse result = client.createAudio().run(
        CreateAudioParams.builder()
        .audioId("achernar")
        .name("Studio Narrator")
        .voiceDescription("A calm and clear narration voice.")
        .exampleDialogue("Welcome to the studio.")
            .build()
    );
  }
}
```

### php

#### 설치

```bash
composer require runapi-ai/gemini-omni
```

```php
<?php

require __DIR__ . '/vendor/autoload.php';

use RunApi\Core\ClientOptions;
use RunApi\GeminiOmni\GeminiOmniClient;

$client = new GeminiOmniClient(new ClientOptions(apiKey: getenv('RUNAPI_API_KEY')));
$result = $client->createAudio->run([
  "audio_id" => "achernar",
  "name" => "Studio Narrator",
  "voice_description" => "A calm and clear narration voice.",
  "example_dialogue" => "Welcome to the studio."
]);
```

## 관련 가이드

- [인증](https://runapi.ai/ko/docs/guides/authentication.md)
- [빠른 시작](https://runapi.ai/ko/docs/guides/task-api/quickstart.md)

---

## RunAPI의 더 많은 정보

- [홈](https://runapi.ai/ko/.md)
- [모델 카탈로그](https://runapi.ai/ko/models.md)
- [요금](https://runapi.ai/ko/pricing.md)
- [제공사](https://runapi.ai/ko/models)
- [문서](https://runapi.ai/ko/docs/guides)
- [SDK](https://runapi.ai/ko/sdk.md)
- [CLI](https://runapi.ai/ko/cli.md)
- [MCP Server](https://runapi.ai/ko/mcp.md)
- [Claude Code와 Cursor](https://runapi.ai/ko/claude-code-vs-cursor.md)
- [Cursor API 설정](https://runapi.ai/ko/cursor-api-setup.md)
- [RunAPI와 OpenRouter 비교](https://runapi.ai/ko/openrouter-alternative.md)
- [엔터프라이즈](https://runapi.ai/ko/contact.md)
- [문의](https://runapi.ai/ko/contact.md)
- [약관](https://runapi.ai/ko/terms.md)
- [개인정보](https://runapi.ai/ko/privacy.md)
- [에이전트용 사이트 색인](https://runapi.ai/llms.txt)

문의: contact@runapi.ai

## 구조화된 데이터

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/ko/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/ko",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/koicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "ko",
    "@type": "TechArticle",
    "headline": "Gemini Omni 오디오 생성",
    "description": "create audio 엔드포인트를 사용하여 동일한 응답에서 결과를 받으세요.",
    "url": "https://runapi.ai/ko/docs/api/gemini-omni/create-audio",
    "mainEntityOfPage": "https://runapi.ai/ko/docs/api/gemini-omni/create-audio"
  }
]
```
